Why is my mobile version not supported when it should be? These are all J5 canceled or 2017 versions should be supported?

Asked question